/*
 * FechaInvalidaCampoObligatorio.java
 *
 * Created on 21 de marzo de 2007, 01:08 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.text.SimpleDateFormat;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author Julian
 */
public class FechaInvalidaCampoObligatorio extends AbstractRule {

	String DATE_FORMAT = "dd/MM/yyyy";

	SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.

	/** Creates a new instance of CampoVacio */
	public FechaInvalidaCampoObligatorio() {
		sdf = new SimpleDateFormat(DATE_FORMAT);
		sdf.setLenient(false);
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		if (!ValidarFecha.esFecha(field))
			return true;
		try {
			sdf.parse(field);
		} catch (Exception e) {
			return true;
		}

		return false;
	}
}
